> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment



## OpenAPI

````yaml /openAPI.json post /api/v2/payments
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/payments:
    post:
      tags:
        - Payments
      summary: Create payment
      requestBody:
        description: Payment data
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - currency
                - mollie_customer_id
                - description
                - redirect_url
              properties:
                amount:
                  description: Payment amount
                  type: number
                  example: 29.99
                currency:
                  description: Currency
                  enum:
                    - EUR
                  type: string
                  example: EUR
                method:
                  description: Payment method
                  enum:
                    - ideal
                    - creditcard
                    - bancontact
                    - sofort
                    - eps
                    - giropay
                    - belfius
                    - kbc
                    - banktransfer
                  type: string
                  example: ideal
                mollie_customer_id:
                  description: Mollie customer ID
                  type: string
                  example: cst_abc123
                description:
                  description: Payment description
                  type: string
                  example: 'Order #2025-001'
                redirect_url:
                  description: URL to redirect after payment
                  type: string
                  example: https://example.com/thank-you
                webhook_url:
                  description: Webhook URL for status updates
                  type: string
                  example: https://example.com/webhook
                mollie_profile_id:
                  description: Mollie profile ID
                  type: string
                  example: pfl_abc123
        required: true
      responses:
        '200':
          description: Payment created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentCreated'
        '422':
          $ref: '#/components/responses/'
components:
  schemas:
    PaymentCreated:
      type: object
      required:
        - id
        - mollie_payment_id
        - status
        - mollie_checkout_url
      properties:
        id:
          type: string
          example: pay_abc123
        mollie_payment_id:
          type: string
          example: tr_abc123
        status:
          enum:
            - open
            - pending
          type: string
          example: open
        mollie_checkout_url:
          type: string
          example: https://www.mollie.com/checkout/test-mode?method=ideal&token=abc123

````